package com.qmth.teachcloud.cas.mq.gdpu.bean;

import java.util.Date;

/**
 * 用户流程启动实例DTO
 */
public class TodoInfoDTO {
    /**
     * 上个节点名称
     */
    private String preNodeName;
    /**
     * 当前节点办理截止时间
     */
    private Date nodeEndTime;
    /**
     * 上个节点id
     */
    private String preNodeId;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 上个用户id
     */
    private String preUserId;
    /**
     * 上个用户名称
     */
    private String preUserName;
    /**
     * 是否已读
     */
    private Integer isRead;
    /**
     * 流水号id
     */
    private String orunId;
    /**
     * 节点id
     */
    private String nodeId;
    /**
     * 节点的地址，当每个节点都有独立的链接时使用改字段，为空时取主流程的地址
     */
    private String url;
    /**
     * 移动端的地址，当每个节点都有独立的链接时使用改字段，为空时取节点的地址
     */
    private String mobileUrl;
    /**
     * 节点名称
     */
    private String nodeName;
    /**
     * 当前状态Current表示活动，End表示结束，Waiting表示等待，Pause表示暂停
     */
    private String status;
    private String startTime;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 当前办理用户名称
     */
    private String userName;

    public String getPreNodeName() {
        return preNodeName;
    }

    public void setPreNodeName(String preNodeName) {
        this.preNodeName = preNodeName;
    }

    public Date getNodeEndTime() {
        return nodeEndTime;
    }

    public void setNodeEndTime(Date nodeEndTime) {
        this.nodeEndTime = nodeEndTime;
    }

    public String getPreNodeId() {
        return preNodeId;
    }

    public void setPreNodeId(String preNodeId) {
        this.preNodeId = preNodeId;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getPreUserId() {
        return preUserId;
    }

    public void setPreUserId(String preUserId) {
        this.preUserId = preUserId;
    }

    public String getPreUserName() {
        return preUserName;
    }

    public void setPreUserName(String preUserName) {
        this.preUserName = preUserName;
    }

    public Integer getIsRead() {
        return isRead;
    }

    public void setIsRead(Integer isRead) {
        this.isRead = isRead;
    }

    public String getOrunId() {
        return orunId;
    }

    public void setOrunId(String orunId) {
        this.orunId = orunId;
    }

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMobileUrl() {
        return mobileUrl;
    }

    public void setMobileUrl(String mobileUrl) {
        this.mobileUrl = mobileUrl;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}